Unreject snippet matches

posthttps://app.fossa.com/api/revisions/{locator}/snippets/unreject

Remove rejection status from snippets matching the specified filter criteria.

Path parameters

locatorstringrequired

The revision locator

Request body (required) · application/json

pathstringrequired

The path to filter snippets by

idsstring[]

Filter by specific snippet IDs

packageIdsstring[]

Filter by specific snippet package IDs

searchstring

Search term for filtering snippets

rejectionStatusenum[]

Filter by rejection status

packageLabelsstring[]

Filter by package labels

vendoredMatchenum[]

Filter by vendored/converted match status

Responses

204Snippets unrejected successfully
400Bad Request
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

401Unauthorized
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

403Forbidden
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

404NotFound
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

POST https://app.fossa.com/api/revisions/%7Blocator%7D/snippets/unreject
curl --request POST \  --url 'https://app.fossa.com/api/revisions/%7Blocator%7D/snippets/unreject' \  --header 'accept: application/json' \  --header 'content-type: application/json' \  --data '{  "path": "string"}'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Missing path params: locator

Path params

locatorstringrequired

The revision locator

application/json